Create Model Policy
curl --request POST \
--url https://{api_endpoint}/v1/model_policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"display_name": "<string>",
"policy": {
"strategy": {
"on_status_codes": [
123
]
},
"targets": [
{
"model_name": "<string>",
"weight": 123
}
],
"cache": {
"mode": "<string>"
},
"retry": {
"attempts": 123,
"on_status_codes": [
123
]
}
}
}
'import requests
url = "https://{api_endpoint}/v1/model_policy"
payload = {
"name": "<string>",
"description": "<string>",
"display_name": "<string>",
"policy": {
"strategy": { "on_status_codes": [123] },
"targets": [
{
"model_name": "<string>",
"weight": 123
}
],
"cache": { "mode": "<string>" },
"retry": {
"attempts": 123,
"on_status_codes": [123]
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
display_name: '<string>',
policy: {
strategy: {on_status_codes: [123]},
targets: [{model_name: '<string>', weight: 123}],
cache: {mode: '<string>'},
retry: {attempts: 123, on_status_codes: [123]}
}
})
};
fetch('https://{api_endpoint}/v1/model_policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Model-Policy
Create Model Policy
Create Model Policy
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
⌘I

